/*
Copyright © 2018 Roesner P/L

This restarts the ports sequentially to ensure port0 gets initialized as ttyACM0.
This is in a separate app to start up before the main app.

*/
//___________________________________________________________________________________

var Gpio = require('pigpio').Gpio;

//log to console if it exists, else set console.log to nop
if (console){
	console.log('Console log enabled');
}
else {
	console.log = function(){};
}

//assign gpio pins, these control hardware on the mainboard
var ledRed = new Gpio(2, {mode: Gpio.OUTPUT});
var ledGreen = new Gpio(3, {mode: Gpio.OUTPUT});
var port0power = new Gpio(15, {mode: Gpio.OUTPUT});
var port1power = new Gpio(14, {mode: Gpio.OUTPUT});

//aux led is dual colour, turn it off
ledRed.digitalWrite(0);
ledGreen.digitalWrite(0);

//kill power to both usb serial devices
port0power.digitalWrite(0);
port1power.digitalWrite(0);

//start the serial port hardware
loadPorts();

//both ports are connected via usb, we don't know which usb is port0 or port1
//so start the ports sequentially to ensure port0 gets ttyACM0
function loadPorts(){
	try {
		setTimeout(function(){ port0power.digitalWrite(1); }, 3000);
		setTimeout(function(){ port1power.digitalWrite(1); }, 6000);
	}
	catch (e){
		console.log('Catch error loadPorts');
	}
}

//___________________________________________________________________________________

